From 62f8bfd342d2d8b21288b506585971b90c199435 Mon Sep 17 00:00:00 2001
From: Thomas Batten <stenstorpmc@gmail.com>
Date: Fri, 31 May 2019 12:16:12 +0930
Subject: [PATCH] qt5-webkit: Fix building on ppc

---
 srcpkgs/qt5-webkit/template | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/qt5-webkit/template b/srcpkgs/qt5-webkit/template
index 3c570cf4b27..788bda2d42d 100644
--- a/srcpkgs/qt5-webkit/template
+++ b/srcpkgs/qt5-webkit/template
@@ -34,9 +34,14 @@ case "$XBPS_TARGET_MACHINE" in
 	ppc64*)	# no JIT on ppc64 and other build workarounds
 		configure_args+=" -DENABLE_JIT=OFF -DUSE_SYSTEM_MALLOC=ON"
 		;;
-	i686*) 	# try to reduce memory footprint when linking
+	i686*)  # try to reduce memory footprint when linking
 		nodebug=1
 		;;
+	ppc*)   # no JIT on ppc and need libatomic
+                configure_args+=" -DENABLE_JIT=OFF -DUSE_SYSTEM_MALLOC=ON"
+                makedepends+=" libatomic-devel"
+                LIBS+=" -latomic"
+                ;;
 esac
 
 pre_configure() {
@@ -45,6 +50,7 @@ pre_configure() {
 		sed -i Source/cmake/OptionsQt.cmake \
 			-e 's;check_cxx_source_compiles("${INCLUDE_TEST_SOURCE}" \(Qt5${_qt_component}_PRIVATE_HEADER_FOUND\));set(\1 1);'
 	fi
+	sed -i CMakeLists.txt -e 's/\"ppc\"/\"powerpc\"/g'
 }
 
 qt5-webkit-devel_package() {
